{{- $share := $.Site.Data.Social.Share -}}
<div id='social'>
	Share/Save to&nbsp;
	{{- $url := .Permalink | safeURL -}}
	{{- range $key, $val := $share -}}
		{{- $lnk := $val -}}
		{{- $auVal := index $.Site.Author $key -}}
		{{- with $auVal -}}
			{{- $lnk = replace $lnk "{id}" $auVal -}}
		{{- else -}}
			{{- $lnk = replace $lnk "{id}" "" -}}
		{{- end -}}
		{{- $lnk = replace $lnk "{url}" $url -}}
		<a href='{{- $lnk -}}' target='_blank'>{{- $key -}}</a>&nbsp;
	{{- end -}}
</div>